# en_bot_sdk

## Getting Started
en_bot_sdk pluginb is used for integrating ENChatBot mobile SDK into your flutter project.

## Usage
```yaml
dependencies:
          en_bot_sdk: ^1.0.4
```
```dart
import 'package:en_bot_sdk/en_bot_sdk.dart';
```
```dart
EnBotSdk sdk = EnBotSdk();
              Object? doneObejct = await sdk.launchBot(context,
                  “<bot Key>”,
                  “<bot Name>”,
                  “<branding Key>”,
                  “<user Id>”,
                  “Chat history limit”,
                  <show done button>,
                  <Language direction>,
                  “<fonts/font name for header>”,
                “<fonts/font name for sub header>”,
                  "Assets/Images/image name” ,
              );
```

## Android
```yaml
org.gradle.jvmargs=-Xmx1536M
android.useAndroidX=true
android.enableJetifier=true
authToken=jp_d1sa4dc5p03a0ko4att78aa5fj
```
### pub get

## iOS

1. Go to file ios/Podfile
```yaml
 platform :ios, '12.0'
```
2. Add following snippet at the end of the podfile
```yaml
post_install do |installer|
  installer.pods_project.targets.each do |target|
    flutter_additional_ios_build_settings(target)
    target.build_configurations.each do |config|
          config.build_settings['BUILD_LIBRARY_FOR_DISTRIBUTION'] = 'YES'
          config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '12.0'
          config.build_settings["EXCLUDED_ARCHS[sdk=iphonesimulator*]"] = "arm64"
    end
  end
end
```
3. Fetch dependancies
### pub get

## LICENSE#
The code under MIT style.

